tigase.jaxmpp.core.client.criteria.tpath

## Class Node

- java.lang.Object
- - tigase.jaxmpp.core.client.criteria.tpath.Node

-     public class Node
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Node(Criteria criteria, Node subnode)`
    `Node(Criteria criteria, Node subnode, Function f)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `evaluate(Collection<Object> result, Element src)`
    `Criteria` | `getCriteria()`
    `Function` | `getFunction()`
    `Node` | `getSubnode()`
    `void` | `setCriteria(Criteria criteria)`
    `void` | `setFunction(Function function)`
    `void` | `setSubnode(Node subnode)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Node

          public Node(Criteria criteria,
                      Node subnode)

    - #### Node

          public Node(Criteria criteria,
                      Node subnode,
                      Function f)

  - ### Method Detail

    - #### evaluate

          public void evaluate(Collection<Object> result,
                               Element src)
                        throws XMLException

      Throws:
        `XMLException`

    - #### getCriteria

          public Criteria getCriteria()

    - #### setCriteria

          public void setCriteria(Criteria criteria)

    - #### getFunction

          public Function getFunction()

    - #### setFunction

          public void setFunction(Function function)

    - #### getSubnode

          public Node getSubnode()

    - #### setSubnode

          public void setSubnode(Node subnode)

Copyright © 2006–2020 Tigase. All rights reserved.